orchestration evals
Create orchestration evals runs
Requires scopes: runs:write
POST
/
api
/
orchestration-evals
/
runs
Create orchestration evals runs
curl --request POST \
--url https://evalgate.com/api/orchestration-evals/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskAttemptId": "<string>",
"programVersionId": "<string>",
"executionStateSessionId": "<string>",
"interpreterProfileVersionId": "<string>",
"capabilityLeaseId": "<string>",
"input": true,
"idempotencyKey": "<string>",
"sourceWorkSetHash": "<string>",
"workItemIds": [
"<string>"
]
}
'import requests
url = "https://evalgate.com/api/orchestration-evals/runs"
payload = {
"taskAttemptId": "<string>",
"programVersionId": "<string>",
"executionStateSessionId": "<string>",
"interpreterProfileVersionId": "<string>",
"capabilityLeaseId": "<string>",
"input": True,
"idempotencyKey": "<string>",
"sourceWorkSetHash": "<string>",
"workItemIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskAttemptId: '<string>',
programVersionId: '<string>',
executionStateSessionId: '<string>',
interpreterProfileVersionId: '<string>',
capabilityLeaseId: '<string>',
input: true,
idempotencyKey: '<string>',
sourceWorkSetHash: '<string>',
workItemIds: ['<string>']
})
};
fetch('https://evalgate.com/api/orchestration-evals/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": true,
"idempotent": true,
"run": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"stateVersion": 123,
"evidence": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"idempotencyKey": "<string>",
"inputHash": "<string>",
"state": "failed",
"taskAttemptId": "<string>",
"programVersionId": "<string>",
"executionStateSessionId": "<string>",
"interpreterProfileVersionId": "<string>",
"capabilityLeaseId": "<string>",
"dispatchCount": 123,
"bridgeCallCount": 123,
"modelCallCount": 123,
"toolCallCount": 123,
"startedAt": "<string>",
"completedAt": "<string>",
"costUsd": 123,
"trajectoryId": "<string>",
"wallTimeMs": 123,
"sourceWorkSetHash": "<string>",
"interpreterSnapshotRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
}
}
}{
"accepted": true,
"idempotent": true,
"run": {
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"stateVersion": 123,
"evidence": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"idempotencyKey": "<string>",
"inputHash": "<string>",
"state": "failed",
"taskAttemptId": "<string>",
"programVersionId": "<string>",
"executionStateSessionId": "<string>",
"interpreterProfileVersionId": "<string>",
"capabilityLeaseId": "<string>",
"dispatchCount": 123,
"bridgeCallCount": 123,
"modelCallCount": 123,
"toolCallCount": 123,
"startedAt": "<string>",
"completedAt": "<string>",
"costUsd": 123,
"trajectoryId": "<string>",
"wallTimeMs": 123,
"sourceWorkSetHash": "<string>",
"interpreterSnapshotRef": {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "prompt",
"artifactId": "<string>",
"versionId": "<string>",
"contentHash": "<string>",
"environment": "local",
"sourceControl": {
"repositoryId": "<string>",
"provider": "github",
"commitSha": "<string>",
"path": "<string>"
},
"dependencySnapshotHash": "<string>"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Body
application/json
⌘I
Create orchestration evals runs
